%define up_name   SDL2_net

%define major   2
%define apiver  2.0

%define libname     %mklibname %{name} %{apiver} %{major}
%define develname   %mklibname %{name} -d
%define develsname  %mklibname %{name} -d -s

Summary:    SDL2 Network Support Library
Name:       sdl2_net
Version:    2.0.1
Release:    %mkrel 2
License:    ZLib
Group:      System/Libraries
URL:        http://www.libsdl.org/projects/SDL_net/
Source0:    http://www.libsdl.org/projects/SDL_net/release/%{up_name}-%{version}.tar.xz
BuildRequires: %{_lib}sdl2.0-devel

%description
This is a small sample cross-platform networking library.

%package -n   %{libname}
Summary:      Main library for %{name}
Group:        System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n   %{develname}
Summary:      Headers for developing programs that will use %{name}
Group:        Development/Libraries
Requires:     %{libname} = %{version}-%{release}
Provides:     lib%{name}-devel = %{version}-%{release}
Provides:     %{name}%{major}-devel = %{version}-%{release}
Provides:     %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n   %{develsname}
Summary:      Static library for developing static programs that use %{name}
Group:        Development/Libraries
Requires:     %{libname} = %{version}-%{release}

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%prep
%setup -q -n %{up_name}-%{version}

# Fix end-of-line encoding
sed -i 's/\r//' README.txt CHANGES.txt COPYING.txt

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

#dont want this
rm -f %buildroot/%{_libdir}/*.la


%files -n %{libname}
%defattr(-,root,root)
%doc COPYING.txt
%{_libdir}/lib*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc README.txt CHANGES.txt
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/SDL2/*

%files -n %{develsname}
%defattr(-,root,root)
%{_libdir}/*.a

%clean
rm -rf %buildroot

%changelog
* Fri Apr 06 2018 adrianomorselli <adrianomorselli> 2.0.1-2uplos2018
- rebuild
